Bug 1824127 - [OAS] fixes configmap "extension-apiserver-authentication" not found
Summary: [OAS] fixes configmap "extension-apiserver-authentication" not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Lukasz Szaszkiewicz
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1814207
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-15 11:14 UTC by Lukasz Szaszkiewicz
Modified: 2020-04-30 01:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1814207
Environment:
Last Closed: 2020-04-30 01:28:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-apiserver pull 92 0 None closed [release 4-3] Bug 1824127: fixes configmap "extension-apiserver-authentication" not found 2020-12-17 18:16:01 UTC
Red Hat Product Errata RHBA-2020:1529 0 None None None 2020-04-30 01:28:22 UTC

Comment 3 Ke Wang 2020-04-21 14:38:44 UTC
Verified with OCP build 4.3.0-0.nightly-2020-04-20-084750.

$ master=$(oc get nodes | grep master | head -1 | cut -d " " -f1)
$ oc debug node/$master
...

sh-4.2# chroot /host
sh-4.4# cd /var/log/pods

sh-4.4# grep -nr 'unable to load initial CA bundle for' *kube-apiserver*

Nothing found, the problem was gone.

Comment 5 errata-xmlrpc 2020-04-30 01:28:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1529


Note You need to log in before you can comment on or make changes to this bug.